(no subject)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

(no subject)

Amal Zouaq

 

Hello,

I have a problem when adding protégé jar files ton my IDE( JBuilder) and recompiling  :

 

cannot access edu.stanford.smi.protegex.owl.model.OWLModel,bad class file: K:\Protege_3.2_beta\plugins\edu.stanford.smi.protegex.owl\protege-owl.jar\edu\stanford\smi\protegex\owl\model\OWLModel.class,class file has wrong version 49.0, should be 48.0,Please remove or make sure it appears in the correct subdirectory of the classpath. at line 4, column 44

 

 

Any idea about how to solve it?

 

Thanks.

Reply | Threaded
Open this post in threaded view
|

Re: (No Date: Sun, 12 Feb 2006 14:57:15 +0200

Ronnie Valkky
Hi Amal,
 
Check you java compiler version and download the proper one.
 
Check plugin versions from all software.
 
Check your environment definitions, for example from where and in which order it accesses *.jar files.
 
Build version table from all software your are using - developers can see if you don't have compatible versions.
 
cheers,
Ronnie
 
 
----- Original Message -----
Sent: Friday, February 10, 2006 2:40 PM
Subject: [protege-owl]

 

Hello,

I have a problem when adding protégé jar files ton my IDE( JBuilder) and recompiling  :

 

cannot access edu.stanford.smi.protegex.owl.model.OWLModel,bad class file: K:\Protege_3.2_beta\plugins\edu.stanford.smi.protegex.owl\protege-owl.jar\edu\stanford\smi\protegex\owl\model\OWLModel.class,class file has wrong version 49.0, should be 48.0,Please remove or make sure it appears in the correct subdirectory of the classpath. at line 4, column 44

 

 

Any idea about how to solve it?

 

Thanks.

Reply | Threaded
Open this post in threaded view
|

Re: (No Date: Wed, 15 Feb 2006 16:38:55 +0000

Matthew Horridge
In reply to this post by Amal Zouaq
Hi,

Please make sure that you're using Java 1.5

Cheers,

Matthew

On 10 Feb 2006, at 12:40, Amal Zouaq wrote:

 

Hello,

I have a problem when adding protégé jar files ton my IDE( JBuilder) and recompiling  :

 

cannot access edu.stanford.smi.protegex.owl.model.OWLModel,bad class file: K:\Protege_3.2_beta\plugins\edu.stanford.smi.protegex.owl\protege-owl.jar\edu\stanford\smi\protegex\owl\model\OWLModel.class,class file has wrong version 49.0, should be 48.0,Please remove or make sure it appears in the correct subdirectory of the classpath. at line 4, column 44

 

 

Any idea about how to solve it?

 

Thanks.